# Generated from rubypants-unicode-0.2.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rubypants-unicode

Name: rubygem-%{gem_name}
Version: 0.2.5
Release: 1%{?dist}
Summary: RubyPants-Unicode is a Ruby port of the smart-quotes library SmartyPants
License: MIT
URL: https://github.com/cdchapman/rubypants-unicode
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
It just occurred to me that if we are encoding our HTML pages in UTF-8 to
handle multiple languages and using web fonts with multilanguage support,
shouldn't we be able to directly insert the simple apostrophe, ellipsis, and
em-dash?
RubyPants-Unicode is a Ruby port of the smart-quotes library SmartyPants that
outputs
unicode characters (UTF-8) instead of HTML entities.
The original "SmartyPants" is a free web publishing plug-in for
Movable Type, Blosxom, and BBEdit that easily translates plain ASCII
punctuation characters into "smart" typographic punctuation HTML
entities.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Wed Apr 20 2022 mockbuilder - 0.2.5-1
- Initial package
